[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: debian-xemacs-version: Symbols' value as variable is void



Now, just in case _some-one_ does read this:

As no answer was given here, I figured to download and install
Xemacs compiled for my box. Got me xemacs-21.4.9, but configure
finished with a error just as well ( /lib-src/DOC no such file..)
Searched of course on google but didn't find a clue either.

So I went ahead and pointed my /etc/apt/sources.list to _testing_ and
got me (as IRC that version was working fine on my previous install)
xemacs from there. Well this solved the problem.

Still would like to know:
Why the hell compile finished with the same error even after I compiled
another DOC file into lib-src..

Why does the version in _testing_ work without a problem while stable
gives me the error mentioned in the subject-line?

Josef Oswald <oswald@chello.at> writes:

> Sorry if I turn again to this newsgroup for help but I can find the
> solution to this nasty error:
>
> When I start up xemacs I get this message:
>
> (1) (initialization/error) An error has occurred while loading
> /home/oswald/.xemacs/init.el: 
>
> Symbol's value as variable is void: debian-xemacs-version
>
> To ensure normal operation, you should investigate the cause of the error
> in your initialization file and remove it.  Use the `-debug-init' option
> to XEmacs to view a complete error backtrace.
> ----
>
> Now of course I don't have anything about debian-xemacs-version in init.el
> except for:
>
> (defvar running-xemacs (string-match "XEmacs\\|Lucid" emacs-version))
>
> after disabling it, Xemacs still gives me the same error.
>
> This version of Xemacs was downloaded automatically during the upgrade
> from Progeny to Woody, I did not compile it myself.
> Also I can't debug the error as some package seems to be missing...
>
> maybe I should compile it myself, but unfortunately there are quite a
> few other problems that needs to be solved first, so I would
> appreciate if someone could tell me how to fix this problem.
>
> Thanks :-) 
>
> Josef Oswald oswald@chello.at 
> --
> registered-linux-user # 134.818 at http://counter.li.org
>
> The box said Windows, NT or better, so I installed Linux :-) 

-- 
Josef Oswald oswald@chello.at 
--
registered-linux-user # 134.818 at http://counter.li.org

The box said Windows, NT or better, so I installed Linux :-) 



Reply to: